it.csi.mddtools.guigen

## Enum CommandStyles

- java.lang.Object
- - java.lang.Enum<CommandStyles>
  - - it.csi.mddtools.guigen.CommandStyles

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<CommandStyles>, org.eclipse.emf.common.util.Enumerator

      public enum CommandStyles
      extends java.lang.Enum<CommandStyles>
      implements org.eclipse.emf.common.util.Enumerator

  A representation of the literals of the enumeration 'Command Styles', and utility methods for working with them.
  See Also:
    `GuigenPackage.getCommandStyles()`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FUNCTIONAL` The 'FUNCTIONAL' literal object
    `NAVIGATION` The 'NAVIGATION' literal object

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `FUNCTIONAL_VALUE` The 'FUNCTIONAL' literal value
    `static int` | `NAVIGATION_VALUE` The 'NAVIGATION' literal value
    `static java.util.List<CommandStyles>` | `VALUES` A public read-only list of all the 'Command Styles' enumerators

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CommandStyles` | `get(int value)` Returns the 'Command Styles' literal with the specified integer value
    `static CommandStyles` | `get(java.lang.String literal)` Returns the 'Command Styles' literal with the specified literal value
    `static CommandStyles` | `getByName(java.lang.String name)` Returns the 'Command Styles' literal with the specified name
    `java.lang.String` | `getLiteral()`
    `java.lang.String` | `getName()`
    `int` | `getValue()`
    `java.lang.String` | `toString()` Returns the literal value of the enumerator, which is its string representation
    `static CommandStyles` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static CommandStyles[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FUNCTIONAL

          public static final CommandStyles FUNCTIONAL

      The 'FUNCTIONAL' literal object.
      See Also:
        `FUNCTIONAL_VALUE`

    - #### NAVIGATION

          public static final CommandStyles NAVIGATION

      The 'NAVIGATION' literal object.
      See Also:
        `NAVIGATION_VALUE`

  - ### Field Detail

    - #### FUNCTIONAL_VALUE

          public static final int FUNCTIONAL_VALUE

      The 'FUNCTIONAL' literal value.

      If the meaning of 'FUNCTIONAL' literal object isn't clear, there really should be more of a description here...

      See Also:
        `FUNCTIONAL`, Constant Field Values

    - #### NAVIGATION_VALUE

          public static final int NAVIGATION_VALUE

      The 'NAVIGATION' literal value.

      If the meaning of 'NAVIGATION' literal object isn't clear, there really should be more of a description here...

      See Also:
        `NAVIGATION`, Constant Field Values

    - #### VALUES

          public static final java.util.List<CommandStyles> VALUES

      A public read-only list of all the 'Command Styles' enumerators.

  - ### Method Detail

    - #### values

          public static CommandStyles[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CommandStyles c : CommandStyles.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CommandStyles valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### get

          public static CommandStyles get(java.lang.String literal)

      Returns the 'Command Styles' literal with the specified literal value.
      Parameters:
        `literal` - the literal.
      Returns:
        the matching enumerator or `null`.

    - #### getByName

          public static CommandStyles getByName(java.lang.String name)

      Returns the 'Command Styles' literal with the specified name.
      Parameters:
        `name` - the name.
      Returns:
        the matching enumerator or `null`.

    - #### get

          public static CommandStyles get(int value)

      Returns the 'Command Styles' literal with the specified integer value.
      Parameters:
        `value` - the integer value.
      Returns:
        the matching enumerator or `null`.

    - #### getValue

          public int getValue()

      Specified by:
        `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### getLiteral

          public java.lang.String getLiteral()

      Specified by:
        `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### toString

          public java.lang.String toString()

      Returns the literal value of the enumerator, which is its string representation.
      Overrides:
        `toString` in class `java.lang.Enum<CommandStyles>`